// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "dengbiao",
            "url": "http://www.swagger.io/support",
            "email": "1239118001@qq.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/comm/getOssUrl": {
            "get": {
                "description": "上传许可链接(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象存储"
                ],
                "summary": "通用请求-对象存储-上传许可链接(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "许可链接",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/adRule": {
            "get": {
                "description": "视频奖励规则(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-视频奖励规则(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.HomePageWatchAdRuleResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/index": {
            "get": {
                "description": "基础信息(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-基础信息(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.HomePageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/isCanSignIn": {
            "get": {
                "description": "是否能签到(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-是否能签到(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.IsCanSignInResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/realTimePrice": {
            "get": {
                "description": "实时数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-实时数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.RealTimePriceResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/test": {
            "get": {
                "description": "Demo样例测试",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Demo"
                ],
                "summary": "Demo测试",
                "parameters": [
                    {
                        "description": "任意参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {}
                    }
                ],
                "responses": {
                    "200": {
                        "description": "返回任意参数",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/v1/login": {
            "post": {
                "description": "登入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/v1/register": {
            "post": {
                "description": "注册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "注册"
                ],
                "summary": "注册",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.RegisterReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "md.HomePageResp": {
            "type": "object",
            "properties": {
                "egg_energy_now_price": {
                    "description": "蛋蛋能量当前价格",
                    "type": "string"
                },
                "initial_price": {
                    "description": "蛋蛋能量初始价格",
                    "type": "string"
                },
                "is_rises": {
                    "description": "是否涨价",
                    "type": "boolean"
                },
                "is_sign": {
                    "description": "是否完成签到",
                    "type": "boolean"
                },
                "nick_name": {
                    "description": "用户名称",
                    "type": "string"
                },
                "now_basal_rate": {
                    "description": "当前基础速率/小时",
                    "type": "string"
                },
                "now_team_rate": {
                    "description": "当前团队速率/小时",
                    "type": "string"
                },
                "rises": {
                    "description": "涨/跌价百分比",
                    "type": "string"
                },
                "sign_end_time": {
                    "description": "签到截止时间",
                    "type": "string"
                },
                "sign_reward_egg_energy": {
                    "description": "签到奖励蛋蛋能量/秒",
                    "type": "string"
                },
                "total_active_points": {
                    "description": "总活跃积分",
                    "type": "string"
                },
                "total_egg_energy": {
                    "description": "总蛋蛋能量",
                    "type": "string"
                },
                "user_count": {
                    "description": "当前用户数量",
                    "type": "integer"
                }
            }
        },
        "md.HomePageWatchAdRuleResp": {
            "type": "object",
            "properties": {
                "each_round_hour": {
                    "description": "每一轮X个小时",
                    "type": "string"
                },
                "interval_minutes": {
                    "description": "间隔X秒",
                    "type": "string"
                },
                "reward_total_num": {
                    "description": "一共X个奖励视屏",
                    "type": "string"
                },
                "reward_value": {
                    "description": "奖励X个活跃积分",
                    "type": "string"
                }
            }
        },
        "md.IsCanSignInResp": {
            "type": "object",
            "properties": {
                "is_can_sign_in": {
                    "type": "boolean"
                }
            }
        },
        "md.LoginReq": {
            "type": "object",
            "required": [
                "password",
                "phone"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "登录密码"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.LoginResponse": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "md.RealTimePriceResp": {
            "type": "object",
            "properties": {
                "is_rises": {
                    "type": "boolean"
                },
                "now_price": {
                    "type": "string"
                },
                "rises": {
                    "type": "string"
                },
                "user_count": {
                    "type": "string"
                }
            }
        },
        "md.RegisterReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "avatar": {
                    "type": "string",
                    "example": "头像"
                },
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "invite_code": {
                    "type": "string",
                    "example": "邀请码"
                },
                "mobile": {
                    "type": "string"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "open_id": {
                    "type": "string",
                    "example": "微信openId"
                },
                "sex": {
                    "description": "性别(0:未知 1:男 2:女)",
                    "type": "integer"
                },
                "type": {
                    "type": "string",
                    "example": "app:APP注册、h5:H5注册"
                },
                "union_id": {
                    "type": "string",
                    "example": "微信UnionId"
                }
            }
        },
        "md.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "响应码"
                },
                "data": {
                    "description": "内容"
                },
                "msg": {
                    "type": "string",
                    "example": "具体错误原因"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "ddxq.izhim.com",
	BasePath:         "/api/v1",
	Schemes:          []string{},
	Title:            "蛋蛋星球-APP客户端",
	Description:      "APP客户端-Api接口",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
